
Audacious - Bug #482

audacious plugins does not find audacious in its default install location

November 28, 2014 11:50 - il lumilore

Status: Rejected Start date: November 28, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

After installing audacious to the default /usr/local/bin, when configuring audacious-plugins, it will fail due to it not checking in that

directory:

checking whether to use NLS... yes

checking where the gettext function comes from... libc

checking for AUDACIOUS... no

configure: error: Cannot find Audacious 3.5; have you installed Audacious yet?

History

#1 - November 28, 2014 23:39 - John Lindgren

Please answer the following questions:

1. What OS and OS version?

2. What version of Audacious is this really?  3.5.3 does not exist yet.

3. Value of $PKG_CONFIG_DIR

4. Exact flags passed to ./configure (audacious and audacious-plugins)

5. Output of $ find /usr -name glib-2.0.pc

6. Output of $ find /usr -name audacious.pc

#2 - November 28, 2014 23:44 - John Lindgren

Correction: $PKG_CONFIG_PATH, not $PKG_CONFIG_DIR.

#3 - November 28, 2014 23:47 - John Lindgren

Also attach config.log for audacious and audacious-plugins.

#4 - November 29, 2014 00:43 - il lumilore

- File config.log added

1. Opensuse 13.2 x64

2. 3.5.2 from http://audacious-media-player.org/download

3 echo $PKG_CONFIG_PATH returns nothing, so audacious doesn't seem  to set it right. I also tried setting it manually to /usr/local/lib64/pkgconfig

(which is still a blank directory after make install ing audacious, but that didn't help.

4. it happened with no flags passed to audacious and audacious-plugins and with --prefix=/usr/local/ on audacious plugins

5 $ find /usr -name glib-2.0.pc

/usr/lib64/pkgconfig/glib-2.0.pc

find: ‘/usr/NX/var/log/nxnode/C-spock.site-1001-FB8C466D686F2913B2C739AECF301572’: Permission denied

find: ‘/usr/NX/var/log/nxnode/F-C-spock.site-1001-AFCC5B08E51E6AC4388BB6FB7CC02D33’: Permission denied

find: ‘/usr/NX/var/db/failed’: Permission denied

find: ‘/usr/NX/var/db/closed’: Permission denied

find: ‘/usr/NX/var/db/running’: Permission denied

find: ‘/usr/NX/var/db/node/externalports’: Permission denied

find: ‘/usr/local/include/libaudgui’: Permission denied

find: ‘/usr/local/include/libaudcore’: Permission denied

find: ‘/usr/local/include/audacious’: Permission denied
find: ‘/usr/local/lib64/pkgconfig’: Permission denied

find: ‘/usr/local/share/locale’: Permission denied

find: ‘/usr/local/share/icons’: Permission denied

find: ‘/usr/local/share/audacious’: Permission denied

find: ‘/usr/local/share/man’: Permission denied

find: ‘/usr/local/share/applications’: Permission denied

find: ‘/usr/share/polkit-1/rules.d’: Permission denied

$ find /usr -name audacious.pc

find: ‘/usr/NX/var/log/nxnode/C-spock.site-1001-FB8C466D686F2913B2C739AECF301572’: Permission denied

find: ‘/usr/NX/var/log/nxnode/F-C-spock.site-1001-AFCC5B08E51E6AC4388BB6FB7CC02D33’: Permission denied

find: ‘/usr/NX/var/db/failed’: Permission denied

find: ‘/usr/NX/var/db/closed’: Permission denied

find: ‘/usr/NX/var/db/running’: Permission denied

find: ‘/usr/NX/var/db/node/externalports’: Permission denied

find: ‘/usr/local/include/libaudgui’: Permission denied

find: ‘/usr/local/include/libaudcore’: Permission denied

find: ‘/usr/local/include/audacious’: Permission denied

find: ‘/usr/local/lib64/pkgconfig’: Permission denied

find: ‘/usr/local/share/locale’: Permission denied

find: ‘/usr/local/share/icons’: Permission denied

find: ‘/usr/local/share/audacious’: Permission denied

find: ‘/usr/local/share/man’: Permission denied

find: ‘/usr/local/share/applications’: Permission denied

find: ‘/usr/share/polkit-1/rules.d’: Permission denied

#5 - November 29, 2014 00:44 - il lumilore

- File config.log added

that last config was audacious-plugins, this one is audacious

#6 - November 29, 2014 00:46 - il lumilore

Also, on opensuse only 3.4.2 is the highest audacious that is available for it, and that one's system tray plugin (status icon) doesn't work with plasma

5. Does 3.5.2's systray plugin work with plasma5's systray?

#7 - November 29, 2014 00:56 - John Lindgren

- Status changed from New to Rejected

- Affects version deleted ()

It appears that your umask was set too restrictively when you installed audacious, hence the folders created are not readable as a normal user.  Fix

your umask and try again.  Not a bug.
#8 - November 29, 2014 01:05 - John Lindgren

il lumilore wrote:

Also, on opensuse only 3.4.2 is the highest audacious that is available for it, and that one's system tray plugin (status icon) doesn't work with

plasma 5. Does 3.5.2's systray plugin work with plasma5's systray?

 

No, Plasma 5 has dropped support for traditional status icons and uses a newer protocol which Audacious has no plugin for.  So far you are the first

to express interest in such a plugin.  However I expect that one will be written eventually since the existing plugin uses GTK2 and therefore does not

work with the Qt interface.

#9 - November 30, 2014 02:38 - il lumilore

Can you at least change the feedback so it mentions setting the PKG_CONFIG_PATH to where audacious is at that point? I noticed it said to do that

for other things it couldn't find.

#10 - November 30, 2014 04:00 - John Lindgren

il lumilore wrote:

Can you at least change the feedback so it mentions setting the PKG_CONFIG_PATH to where audacious is at that point? I noticed it said to do

that for other things it couldn't find.

 

That will make absolutely no difference if you have no read permissions on that folder.

Files

config.log 38.9 KBNovember 29, 2014 il lumilore

config.log 36.5 KBNovember 29, 2014 il lumilore
